org.eclipse.microprofile.fault.tolerance.tck.config

## Class RetryConfigTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.fault.tolerance.tck.config.RetryConfigTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class RetryConfigTest
    extends org.jboss.arquillian.testng.Arquillian

Test that the various parameters of Retry can be configured

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`RetryConfigTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `create()`
`void` `testConfigAbortOn()`
`void` `testConfigDelay()`
`void` `testConfigJitter()`
`void` `testConfigMaxDuration()`
`void` `testConfigMaxRetries()`
`void` `testConfigRetryOn()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RetryConfigTest

    public RetryConfigTest()

### Method Detail

#### create

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive create()

#### testConfigMaxRetries

    public void testConfigMaxRetries()

#### testConfigMaxDuration

    public void testConfigMaxDuration()

#### testConfigDelay

    public void testConfigDelay()

#### testConfigRetryOn

    public void testConfigRetryOn()

#### testConfigAbortOn

    public void testConfigAbortOn()

#### testConfigJitter

    public void testConfigJitter()